---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: postgres
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    name: in-cluster
    namespace: postgres
  project: default
  source:
    repoURL: 'https://gitlab.com/nicolas.fidel/infra-test.git'
    targetRevision: HEAD
    path: postgres
  syncPolicy:
    automated:
      prune: true
      selfHeal: true

